GIRAFFE_DECLARE_VALUE_RECORD(GSignalInvocationHint, g_object_signal_invocation_hint)
GIRAFFE_DECLARE_FIELD(GSignalInvocationHint, g_object_signal_invocation_hint, signal_id)
GIRAFFE_DECLARE_FIELD(GSignalInvocationHint, g_object_signal_invocation_hint, detail)
GIRAFFE_DECLARE_FIELD(GSignalInvocationHint, g_object_signal_invocation_hint, run_type)
GIRAFFE_DECLARE_VALUE_RECORD(GValue, g_object_value)
GIRAFFE_DECLARE_FIELD(GValueArray, g_object_value_array, n_values)
GIRAFFE_DECLARE_FIELD(GValueArray, g_object_value_array, values)
